If ( $(Get-CimInstance -ClassName Win32_OperatingSystem -Property ProductType | Select-Object -ExpandProperty ProductType) -eq "2" ) {
    Write-Output "Cannot create or modify local accounts on a domain controller"
    Return
}
Write-Output "Setting local Administrator password"
Try { net user Administrator $Password /times:all /active:yes }
Catch { Write-Error "Could not set local Administrator password`n"+$_.Exception.Message ; Exit 1 }